## vitrage 2.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
lxml!=3.7.0,>=3.4.1 # BSD
PyMySQL>=0.7.6 # MIT License
aodhclient>=0.9.0 # Apache-2.0
python-ceilometerclient>=2.5.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-dateutil>=2.4.2 # BSD
python-keystoneclient>=3.8.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-mistralclient>=3.1.0 # Apache-2.0
pyzabbix>=0.7.4 # LGPL
networkx<2.0,>=1.10 # BSD
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
PasteDeploy>=1.5.0 # MIT
Werkzeug>=0.7 # BSD License
keystonemiddleware>=4.17.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
voluptuous>=0.8.9 # BSD License
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sympy>=0.7.6 # BSD
pysnmp>=4.2.3 # BSD
PyJWT>=1.0.1 # MIT
osprofiler>=1.4.0 # Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0
PyYAML>=3.10 # MIT
requests>=2.14.2 # Apache-2.0
WebOb>=1.7.1 # MIT
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
six>=1.10.0 # MIT
debtcollector>=1.2.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=5.1.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,>=1.6.2 # BSD

=== debian/changelog ===
vitrage (2.2.0-1) unstable; urgency=medium

  [ Michal Arbet ]
  * Initial release (Closes: #893095).

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 15:04:55 +0000

=== debian/control ===
Source: vitrage
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 74~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.3),
Build-Depends-Indep:
 python3-aodhclient (>= 0.9.0),
 python3-babel,
 python3-ceilometerclient,
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage,
 python3-dateutil,
 python3-debtcollector,
 python3-eventlet,
 python3-hacking (>= 0.12.0),
 python3-heatclient (>= 1.10.0),
 python3-jwt,
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml,
 python3-mistralclient (>= 1:3.1.0),
 python3-networkx,
 python3-neutronclient (>= 1:6.3.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.16.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.11.0),
 python3-pastedeploy,
 python3-pecan,
 python3-pymysql,
 python3-pysnmp4,
 python3-pyzabbix,
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1.0),
 python3-six,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 python3-subunit,
 python3-sympy,
 python3-testrepository,
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-vitrageclient (>= 1.4.0),
 python3-voluptuous,
 python3-webob (>= 1:1.7.1),
 python3-werkzeug,
 python3-yaml,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/vitrage
Vcs-Git: https://salsa.debian.org/openstack-team/services/vitrage.git
Homepage: https://github.com/openstack/vitrage.git

Package: python3-vitrage
Section: python
Architecture: all
Depends:
 python3-aodhclient (>= 0.9.0),
 python3-babel,
 python3-ceilometerclient,
 python3-cinderclient (>= 1:3.3.0),
 python3-dateutil,
 python3-debtcollector,
 python3-eventlet,
 python3-heatclient (>= 1.10.0),
 python3-jwt,
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml,
 python3-mistralclient (>= 1:3.1.0),
 python3-networkx,
 python3-neutronclient (>= 1:6.3.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-osprofiler (>= 1.11.0),
 python3-pastedeploy,
 python3-pecan,
 python3-pymysql,
 python3-pysnmp4,
 python3-pyzabbix,
 python3-requests (>= 2.14.2),
 python3-six,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 python3-sympy,
 python3-voluptuous,
 python3-webob (>= 1:1.7.1),
 python3-werkzeug,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Python libs
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides the Python libraries.

Package: vitrage-api
Architecture: all
Depends:
 adduser,
 python3-openstackclient,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - API server
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides the REST API server.

Package: vitrage-collector
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Collector service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Collector service.

Package: vitrage-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-vitrage (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - metapackage
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package is a metapackage that helps installing all of Vitrage at once.

Package: vitrage-doc
Architecture: all
Section: doc
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack RCA as a Service - documentation
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package contains the documentation.

Package: vitrage-graph
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Graph service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Graph service.

Package: vitrage-ml
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Machine Learning Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Machine learning service.

Package: vitrage-notifier
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Notifier Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Notifier service.

Package: vitrage-persistor
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Persistor Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Persistor Service.

Package: vitrage-snmp-parsing
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - SNMP Parsing Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage SNMP Parsing Service.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	python3 setup.py clean

override_dh_clean:
	dh_clean
	find . -iname '*.pyc' -delete
	find . -name '*.db' -delete
	rm -rf .eggs
	rm -rf build
	rm -f ChangeLog AUTHORS
	rm -f doc/source/_static/vitrage.conf.sample
	rm -f etc/vitrage/policy.yaml.sample
	rm -f debian/vitrage-common.postinst debian/vitrage-common.config debian/vitrage-api.config debian/vitrage-api.postinst debian/vitrage-common.postrm
	rm -f debian/*.templates
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates

override_dh_auto_build:
	set -e ; for i in $(PYTHON3S) ; do \
		python3 setup.py build --force ; \
	done

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vitrage-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vitrage-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vitrage-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vitrage-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm vitrage-common.postrm
	pkgos-merge-templates vitrage-api vitrage endpoint
	pkgos-merge-templates vitrage-common vitrage db rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 --no-parallel 'vitrage\.tests\.*'
endif

	# Generate configs
	mkdir -p $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--config-file $(CURDIR)/etc/vitrage/vitrage-config-generator.conf \
	        --output-file $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/vitrage.conf \
	        --wrap-width 140
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--config-file $(CURDIR)/etc/vitrage/vitrage-policy-generator.conf \
		--output-file $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/policy.json \
		--format json
	pkgos-fix-config-default $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/vitrage.conf oslo_concurrency lock_path /var/lock/vitrage

	mkdir -p $(CURDIR)/debian/vitrage-common/etc/vitrage/datasources_values
	mkdir -p $(CURDIR)/debian/vitrage-common/etc/vitrage/static_datasources
	cp -av $(CURDIR)/etc/vitrage/api-paste.ini $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/api-paste.ini
	cp -av $(CURDIR)/etc/vitrage/datasources_values/* $(CURDIR)/debian/vitrage-common/etc/vitrage/datasources_values/


	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/vitrage-doc/usr/share/doc/vitrage-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## vitrage 2.3.0

=== requirements.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 python-neutronclient>=6.3.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 python-heatclient>=1.10.0 # Apache-2.0
-python-mistralclient>=3.1.0 # Apache-2.0
+python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
 pyzabbix>=0.7.4 # LGPL
 networkx<2.0,>=1.10 # BSD
 oslo.config>=5.1.0 # Apache-2.0

## vitrage 3.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=3.1.1 # Apache-2.0
Babel>=2.5.3 # BSD
lxml>=4.1.1 # BSD
PyMySQL>=0.8.0 # MIT License
aodhclient>=1.0.0 # Apache-2.0
python-ceilometerclient>=2.9.0 # Apache-2.0
python-dateutil>=2.7.0 # BSD
python-keystoneclient>=3.15.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=10.1.0 # Apache-2.0
python-heatclient>=1.14.0 # Apache-2.0
python-mistralclient>=3.3.0 # Apache-2.0
python-openstackclient>=3.12.0 # Apache-2.0
gnocchiclient>=3.3.1 # Apache-2.0
pyzabbix>=0.7.4 # LGPL
networkx>=1.11 # BSD
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.20.0 # Apache-2.0
oslo.db>=4.35.0 # Apache-2.0
oslo.messaging>=5.36.0 # Apache-2.0
oslo.middleware>=3.35.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.log>=3.37.0 # Apache-2.0
oslo.policy>=1.34.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
pecan>=1.2.1 # BSD
PasteDeploy>=1.5.2 # MIT
Werkzeug>=0.14.1 # BSD License
keystonemiddleware>=4.21.0 # Apache-2.0
stevedore>=1.28.0 # Apache-2.0
voluptuous>=0.11.1 # BSD License
SQLAlchemy>=1.2.5 # MIT
sympy>=1.1.1 # BSD
pysnmp>=4.4.4 # BSD
PyJWT>=1.6.0 # MIT
osprofiler>=2.0.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
PyYAML>=3.12 # MIT
requests>=2.18.4 # Apache-2.0
WebOb>=1.7.4 # MIT
eventlet!=0.20.1,>=0.20.0 # MIT
six>=1.11.0 # MIT
debtcollector>=1.19.0 # Apache-2.0
cotyledon>=1.6.8 # Apache-2.0
futures>=3.0.0;python_version=='2.7' or python_version=='2.6'  # BSD
pytz>=2013.6 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=5.2.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
reno>=2.7.0 # Apache-2.0
docutils>=0.11  # OSI-Approved Open Source, Public Domain

=== debian/changelog ===
vitrage (3.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Run dh_python3 with --shebang=/usr/bin/python3. Closes: #924322.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Mar 2019 16:49:33 +0100

vitrage (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable:
    - Fixes FTBFS (Closes: #906417).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 16:27:13 +0200

vitrage (3.1.0-1.1) experimental; urgency=medium

  [ Michal Arbet ]
  * New upstream release
  * Add reproducible-build.patch (Closes: #899162).
  * Fixed (build-)depends for this release.

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * Only run unit tests, not functional.
  * Blacklist failing tests:
    - evaluator.test_scenario_repository.ScenarioRepositoryTest()
    - test_scenario_repository.RegExTemplateTest.test_regex_with_exact_match()

 -- Thomas Goirand <zigo@debian.org>  Fri, 31 Aug 2018 12:04:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: vitrage
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
@@ -11,62 +11,65 @@
  openstack-pkg-tools (>= 74~),
  po-debconf,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 3.1.1),
  python3-setuptools,
  python3-sphinx (>= 1.6.3),
 Build-Depends-Indep:
- python3-aodhclient (>= 0.9.0),
- python3-babel,
+ python3-aodhclient (>= 1.0.0),
+ python3-babel (>= 2.5.3),
  python3-ceilometerclient,
- python3-cinderclient (>= 1:3.3.0),
- python3-coverage,
- python3-dateutil,
- python3-debtcollector,
- python3-eventlet,
+ python3-coverage (>= 4.5.1),
+ python3-dateutil (>= 2.7.0),
+ python3-debtcollector (>= 1.19.0),
+ python3-cotyledon (>= 1.6.8),
+ python3-tz,
+ python3-eventlet (>= 0.20.0),
  python3-hacking (>= 0.12.0),
- python3-heatclient (>= 1.10.0),
- python3-jwt,
- python3-keystoneauth1 (>= 3.3.0),
- python3-keystoneclient (>= 1:3.8.0),
- python3-keystonemiddleware (>= 4.17.0),
- python3-lxml,
- python3-mistralclient (>= 1:3.1.0),
+ python3-heatclient (>= 1.14.0),
+ python3-jwt (>= 1.6.0),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneclient (>= 1:3.15.0),
+ python3-keystonemiddleware (>= 4.21.0),
+ python3-lxml (>= 4.1.1),
+ python3-mistralclient (>= 1:3.3.0),
+ python3-openstackclient (>= 3.12.0),
+ python3-gnocchiclient (>= 3.3.1),
  python3-networkx,
- python3-neutronclient (>= 1:6.3.0),
- python3-novaclient (>= 2:9.1.0),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-novaclient (>= 2:10.1.0),
  python3-openstackdocstheme (>= 1.16.0),
- python3-oslo.config (>= 1:5.1.0),
- python3-oslo.context (>= 2.19.2),
- python3-oslo.db (>= 4.27.0),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.30.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 1.24.0),
- python3-oslotest (>= 1:3.2.0),
- python3-osprofiler (>= 1.11.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 2.20.0),
+ python3-oslo.db (>= 4.40.0),
+ python3-oslo.i18n (>= 3.20.0),
+ python3-oslo.log (>= 3.37.0),
+ python3-oslo.messaging (>= 5.36.0),
+ python3-oslo.middleware (>= 3.35.0),
+ python3-oslo.policy (>= 1.34.0),
+ python3-oslo.serialization (>= 2.25.0),
+ python3-oslotest (>= 1:3.3.0),
+ python3-osprofiler (>= 2.0.0),
  python3-pastedeploy,
- python3-pecan,
- python3-pymysql,
- python3-pysnmp4,
+ python3-pecan (>= 1.3.2),
+ python3-pymysql (>= 0.8.0),
+ python3-pysnmp4 (>= 4.4.4),
  python3-pyzabbix,
  python3-reno (>= 2.5.0),
- python3-requests (>= 2.14.2),
- python3-requests-mock (>= 1.1.0),
- python3-six,
- python3-sqlalchemy,
- python3-stevedore (>= 1.20.0),
- python3-subunit,
- python3-sympy,
+ python3-requests (>= 2.18.4),
+ python3-requests-mock (>= 1.4.0),
+ python3-six (>= 1.11.0),
+ python3-sqlalchemy (>= 1.2.5),
+ python3-stevedore (>= 1.28.0),
+ python3-subunit (>= 1.2.0),
+ python3-sympy (>= 1.1.1),
  python3-testrepository,
- python3-testscenarios,
- python3-testtools (>= 2.2.0),
+ python3-testscenarios (>= 0.5),
+ python3-testtools (>= 2.3.0),
+ python3-stestr (>= 2.0.0),
  python3-vitrageclient (>= 1.4.0),
- python3-voluptuous,
- python3-webob (>= 1:1.7.1),
- python3-werkzeug,
+ python3-voluptuous (>= 0.11.1),
+ python3-webob (>= 1:1.7.4),
+ python3-werkzeug (>= 0.14.1),
  python3-yaml,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/vitrage
@@ -77,47 +80,50 @@
 Section: python
 Architecture: all
 Depends:
- python3-aodhclient (>= 0.9.0),
- python3-babel,
+ python3-aodhclient (>= 1.0.0),
+ python3-babel (>= 2.5.3),
  python3-ceilometerclient,
- python3-cinderclient (>= 1:3.3.0),
- python3-dateutil,
- python3-debtcollector,
- python3-eventlet,
- python3-heatclient (>= 1.10.0),
- python3-jwt,
- python3-keystoneauth1 (>= 3.3.0),
- python3-keystoneclient (>= 1:3.8.0),
- python3-keystonemiddleware (>= 4.17.0),
- python3-lxml,
- python3-mistralclient (>= 1:3.1.0),
+ python3-dateutil (>= 2.7.0),
+ python3-debtcollector (>= 1.19.0),
+ python3-cotyledon (>= 1.6.8),
+ python3-tz,
+ python3-eventlet (>= 0.20.0),
+ python3-heatclient (>= 1.14.0),
+ python3-jwt (>= 1.6.0),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneclient (>= 1:3.15.0),
+ python3-keystonemiddleware (>= 4.21.0),
+ python3-lxml (>= 4.1.1),
+ python3-mistralclient (>= 1:3.3.0),
+ python3-openstackclient (>= 3.12.0),
+ python3-gnocchiclient (>= 3.3.1),
  python3-networkx,
- python3-neutronclient (>= 1:6.3.0),
- python3-novaclient (>= 2:9.1.0),
- python3-oslo.config (>= 1:5.1.0),
- python3-oslo.context (>= 2.19.2),
- python3-oslo.db (>= 4.27.0),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.30.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 1.24.0),
- python3-osprofiler (>= 1.11.0),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-novaclient (>= 2:10.1.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 2.20.0),
+ python3-oslo.db (>= 4.40.0),
+ python3-oslo.i18n (>= 3.20.0),
+ python3-oslo.log (>= 3.37.0),
+ python3-oslo.messaging (>= 5.36.0),
+ python3-oslo.middleware (>= 3.35.0),
+ python3-oslo.policy (>= 1.34.0),
+ python3-oslo.serialization (>= 2.25.0),
+ python3-osprofiler (>= 2.0.0),
  python3-pastedeploy,
- python3-pecan,
- python3-pymysql,
- python3-pysnmp4,
+ python3-pecan (>= 1.2.1),
+ python3-pbr (>= 3.1.1),
+ python3-pymysql (>= 0.8.0),
+ python3-pysnmp4 (>= 4.4.4),
  python3-pyzabbix,
- python3-requests (>= 2.14.2),
- python3-six,
- python3-sqlalchemy,
- python3-stevedore (>= 1.20.0),
- python3-sympy,
- python3-voluptuous,
- python3-webob (>= 1:1.7.1),
- python3-werkzeug,
+ python3-requests (>= 2.18.4),
+ python3-six (>= 1.11.0),
+ python3-sqlalchemy (>= 1.2.5),
+ python3-stevedore (>= 1.28.0),
+ python3-sympy (>= 1.1.1),
+ python3-voluptuous (>= 0.11.1),
+ python3-webob (>= 1:1.7.4),
+ python3-werkzeug (>= 0.14.1),
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
@@ -131,7 +137,6 @@
 Architecture: all
 Depends:
  adduser,
- python3-openstackclient,
  python3-vitrage (= ${binary:Version}),
  vitrage-common (= ${binary:Version}),
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -40,13 +40,16 @@
 override_dh_auto_install:
 	echo "Do nothing..."
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+
 override_dh_install:
 	for i in $(PYTHON3S) ; do \
 		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
 	done
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 --no-parallel 'vitrage\.tests\.*'
+	pkgos-dh_auto_test --no-py2 --no-parallel 'vitrage\.tests\.unit(?!(.*evaluator\.test_scenario_repository\.ScenarioRepositoryTest.*|.*evaluator\.test_scenario_repository\.RegExTemplateTest\.test_regex_with_exact_match.*))'
 endif
 
 	# Generate configs

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/vitrage/tags .*/(\d[\d\.]+)\.tar\.gz

## vitrage 4.3.1

=== doc/requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 oslo.config>=5.2.0 # Apache-2.0
-openstackdocstheme>=1.18.1 # Apache-2.0
+openstackdocstheme>=1.24.0 # Apache-2.0
 sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
 reno>=2.7.0 # Apache-2.0
 docutils>=0.11  # OSI-Approved Open Source, Public Domain

=== debian/changelog ===
vitrage (4.3.1-3) unstable; urgency=medium

  * Uploading to unstable.
  * Blacklist TemplateLoaderTest.test_basic_template_with_include().

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 20:10:11 +0200

vitrage (4.3.1-2) experimental; urgency=medium

  * d/control: Bump openstack-pkg-tools to version 99

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 02 May 2019 15:08:43 +0200

vitrage (4.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 11:13:09 +0200

vitrage (4.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version is now 4.3.0.
  * Removed package versions when satisfied in Buster.
  * Fixed (build-)depends for this release.
  * Blacklist 2 more unit tests:
    - test_template_validator_v3.TemplateValidatorV3Test.test_conditions
    - test_template_validator_v3.TemplateValidatorV3Test.test_mark_down

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 Mar 2019 12:17:22 +0100

=== debian/control ===
--- 
+++ 
@@ -8,70 +8,79 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 74~),
+ openstack-pkg-tools (>= 99~),
  po-debconf,
  python3-all,
- python3-pbr (>= 3.1.1),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.3),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-aodhclient (>= 1.0.0),
- python3-babel (>= 2.5.3),
+ python3-aodhclient,
+ python3-babel,
  python3-ceilometerclient,
- python3-coverage (>= 4.5.1),
- python3-dateutil (>= 2.7.0),
- python3-debtcollector (>= 1.19.0),
- python3-cotyledon (>= 1.6.8),
+ python3-cotyledon,
+ python3-coverage,
+ python3-dateutil,
+ python3-debtcollector,
+ python3-eventlet,
+ python3-gnocchiclient,
+ python3-hacking,
+ python3-heatclient,
+ python3-jsonschema,
+ python3-jwt,
+ python3-keystoneauth1,
+ python3-keystoneclient,
+ python3-keystonemiddleware,
+ python3-lxml,
+ python3-mistralclient,
+ python3-mock,
+ python3-networkx,
+ python3-neutronclient,
+ python3-novaclient,
+ python3-openstackclient,
+ python3-openstackdocstheme,
+ python3-oslo.config,
+ python3-oslo.context,
+ python3-oslo.db,
+ python3-oslo.i18n,
+ python3-oslo.log,
+ python3-oslo.messaging,
+ python3-oslo.middleware,
+ python3-oslo.policy,
+ python3-oslo.serialization,
+ python3-oslo.upgradecheck,
+ python3-oslotest,
+ python3-osprofiler,
+ python3-pastedeploy,
+ python3-pecan,
+ python3-psutil,
+ python3-pymysql,
+ python3-pysnmp4,
+ python3-pyzabbix,
+ python3-reno,
+ python3-requests,
+ python3-requests-mock,
+ python3-six,
+ python3-sqlalchemy,
+ python3-stestr,
+ python3-stevedore,
+ python3-subunit,
+ python3-sympy,
+ python3-tenacity,
+ python3-testrepository,
+ python3-testscenarios,
+ python3-testtools,
+ python3-tooz,
+ python3-troveclient,
  python3-tz,
- python3-eventlet (>= 0.20.0),
- python3-hacking (>= 0.12.0),
- python3-heatclient (>= 1.14.0),
- python3-jwt (>= 1.6.0),
- python3-keystoneauth1 (>= 3.4.0),
- python3-keystoneclient (>= 1:3.15.0),
- python3-keystonemiddleware (>= 4.21.0),
- python3-lxml (>= 4.1.1),
- python3-mistralclient (>= 1:3.3.0),
- python3-openstackclient (>= 3.12.0),
- python3-gnocchiclient (>= 3.3.1),
- python3-networkx,
- python3-neutronclient (>= 1:6.7.0),
- python3-novaclient (>= 2:10.1.0),
- python3-openstackdocstheme (>= 1.16.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 2.20.0),
- python3-oslo.db (>= 4.40.0),
- python3-oslo.i18n (>= 3.20.0),
- python3-oslo.log (>= 3.37.0),
- python3-oslo.messaging (>= 5.36.0),
- python3-oslo.middleware (>= 3.35.0),
- python3-oslo.policy (>= 1.34.0),
- python3-oslo.serialization (>= 2.25.0),
- python3-oslotest (>= 1:3.3.0),
- python3-osprofiler (>= 2.0.0),
- python3-pastedeploy,
- python3-pecan (>= 1.3.2),
- python3-pymysql (>= 0.8.0),
- python3-pysnmp4 (>= 4.4.4),
- python3-pyzabbix,
- python3-reno (>= 2.5.0),
- python3-requests (>= 2.18.4),
- python3-requests-mock (>= 1.4.0),
- python3-six (>= 1.11.0),
- python3-sqlalchemy (>= 1.2.5),
- python3-stevedore (>= 1.28.0),
- python3-subunit (>= 1.2.0),
- python3-sympy (>= 1.1.1),
- python3-testrepository,
- python3-testscenarios (>= 0.5),
- python3-testtools (>= 2.3.0),
- python3-stestr (>= 2.0.0),
- python3-vitrageclient (>= 1.4.0),
- python3-voluptuous (>= 0.11.1),
- python3-webob (>= 1:1.7.4),
- python3-werkzeug (>= 0.14.1),
+ python3-vitrageclient,
+ python3-voluptuous,
+ python3-webob,
+ python3-werkzeug,
  python3-yaml,
-Standards-Version: 4.1.3
+ python3-zake,
+ python3-zaqarclient,
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/vitrage
 Vcs-Git: https://salsa.debian.org/openstack-team/services/vitrage.git
 Homepage: https://github.com/openstack/vitrage.git
@@ -80,51 +89,58 @@
 Section: python
 Architecture: all
 Depends:
- python3-aodhclient (>= 1.0.0),
- python3-babel (>= 2.5.3),
+ python3-aodhclient,
+ python3-babel,
  python3-ceilometerclient,
- python3-dateutil (>= 2.7.0),
- python3-debtcollector (>= 1.19.0),
- python3-cotyledon (>= 1.6.8),
+ python3-cotyledon,
+ python3-dateutil,
+ python3-debtcollector,
+ python3-eventlet,
+ python3-gnocchiclient,
+ python3-heatclient,
+ python3-jsonschema,
+ python3-jwt,
+ python3-keystoneauth1,
+ python3-keystoneclient,
+ python3-keystonemiddleware,
+ python3-lxml,
+ python3-mistralclient,
+ python3-networkx,
+ python3-neutronclient,
+ python3-novaclient,
+ python3-openstackclient,
+ python3-oslo.config,
+ python3-oslo.context,
+ python3-oslo.db,
+ python3-oslo.i18n,
+ python3-oslo.log,
+ python3-oslo.messaging,
+ python3-oslo.middleware,
+ python3-oslo.policy,
+ python3-oslo.serialization,
+ python3-oslo.upgradecheck,
+ python3-osprofiler,
+ python3-pastedeploy,
+ python3-pbr,
+ python3-pecan,
+ python3-psutil,
+ python3-pymysql,
+ python3-pysnmp4,
+ python3-pyzabbix,
+ python3-requests,
+ python3-six,
+ python3-sqlalchemy,
+ python3-stevedore,
+ python3-sympy,
+ python3-tenacity,
+ python3-tooz,
+ python3-troveclient,
  python3-tz,
- python3-eventlet (>= 0.20.0),
- python3-heatclient (>= 1.14.0),
- python3-jwt (>= 1.6.0),
- python3-keystoneauth1 (>= 3.4.0),
- python3-keystoneclient (>= 1:3.15.0),
- python3-keystonemiddleware (>= 4.21.0),
- python3-lxml (>= 4.1.1),
- python3-mistralclient (>= 1:3.3.0),
- python3-openstackclient (>= 3.12.0),
- python3-gnocchiclient (>= 3.3.1),
- python3-networkx,
- python3-neutronclient (>= 1:6.7.0),
- python3-novaclient (>= 2:10.1.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 2.20.0),
- python3-oslo.db (>= 4.40.0),
- python3-oslo.i18n (>= 3.20.0),
- python3-oslo.log (>= 3.37.0),
- python3-oslo.messaging (>= 5.36.0),
- python3-oslo.middleware (>= 3.35.0),
- python3-oslo.policy (>= 1.34.0),
- python3-oslo.serialization (>= 2.25.0),
- python3-osprofiler (>= 2.0.0),
- python3-pastedeploy,
- python3-pecan (>= 1.2.1),
- python3-pbr (>= 3.1.1),
- python3-pymysql (>= 0.8.0),
- python3-pysnmp4 (>= 4.4.4),
- python3-pyzabbix,
- python3-requests (>= 2.18.4),
- python3-six (>= 1.11.0),
- python3-sqlalchemy (>= 1.2.5),
- python3-stevedore (>= 1.28.0),
- python3-sympy (>= 1.1.1),
- python3-voluptuous (>= 0.11.1),
- python3-webob (>= 1:1.7.4),
- python3-werkzeug (>= 0.14.1),
+ python3-voluptuous,
+ python3-webob,
+ python3-werkzeug,
  python3-yaml,
+ python3-zaqarclient,
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack RCA as a Service - Python libs

=== debian/rules ===
--- 
+++ 
@@ -40,16 +40,13 @@
 override_dh_auto_install:
 	echo "Do nothing..."
 
-override_dh_python3:
-	dh_python3 --shebang=/usr/bin/python3
-
 override_dh_install:
 	for i in $(PYTHON3S) ; do \
 		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
 	done
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 --no-parallel 'vitrage\.tests\.unit(?!(.*evaluator\.test_scenario_repository\.ScenarioRepositoryTest.*|.*evaluator\.test_scenario_repository\.RegExTemplateTest\.test_regex_with_exact_match.*))'
+	pkgos-dh_auto_test --no-py2 --no-parallel 'vitrage\.tests\.unit(?!(.*evaluator\.test_scenario_repository\.ScenarioRepositoryTest.*|.*evaluator\.test_scenario_repository\.RegExTemplateTest\.test_regex_with_exact_match.*|.*evaluator\.template_validation\.test_template_validator_v3\.TemplateValidatorV3Test.*|.*evaluator\.template_loading\.test_template_loading_v3\.TemplateLoaderV3Test.*|.*evaluator\.test_template_loader\.TemplateLoaderTest\.test_basic_template_with_include.*))'
 endif
 
 	# Generate configs

## vitrage 5.0.0

=== requirements.txt ===
--- 
+++ 
@@ -15,9 +15,13 @@
 python-heatclient>=1.14.0 # Apache-2.0
 python-mistralclient>=3.3.0 # Apache-2.0
 python-openstackclient>=3.12.0 # Apache-2.0
+python-monascaclient>=1.7.1 # Apache-2.0
+python-troveclient>=2.2.0 # Apache-2.0
+python-zaqarclient >=1.2.0
 gnocchiclient>=3.3.1 # Apache-2.0
 pyzabbix>=0.7.4 # LGPL
-networkx>=1.11 # BSD
+networkx<2.3,>=2.0;python_version<'3.0'  # BSD
+networkx>=2.3;python_version>='3.4'  # BSD
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.20.0 # Apache-2.0
 oslo.db>=4.35.0 # Apache-2.0
@@ -27,6 +31,7 @@
 oslo.log>=3.37.0 # Apache-2.0
 oslo.policy>=1.34.0 # Apache-2.0
 oslo.i18n>=3.20.0 # Apache-2.0
+oslo.upgradecheck>=0.1.1 # Apache-2.0
 pecan>=1.2.1 # BSD
 PasteDeploy>=1.5.2 # MIT
 Werkzeug>=0.14.1 # BSD License
@@ -48,3 +53,7 @@
 cotyledon>=1.6.8 # Apache-2.0
 futures>=3.0.0;python_version=='2.7' or python_version=='2.6'  # BSD
 pytz>=2013.6 # MIT
+tenacity>=4.9.0
+tooz>=1.58.0 # Apache-2.0
+psutil>=5.4.3 # BSD
+jsonschema>=2.6.0 # MIT

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # process, which may cause wedges in the gate later.
 oslo.config>=5.2.0 # Apache-2.0
 openstackdocstheme>=1.24.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
+sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
 reno>=2.7.0 # Apache-2.0
 docutils>=0.11  # OSI-Approved Open Source, Public Domain

=== debian/changelog ===
vitrage (5.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Add fix-requirements.txt-to-allow-networkx-2.2.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 22:51:33 +0200

vitrage (5.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed reproducible-build.patch.
  * Black listed (no time to investigate):
    - test_create_update_entity_vertex()
    - test_basic_regex_with_no_match()

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2019 09:31:29 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools (>= 99~),
  po-debconf,
@@ -34,7 +34,8 @@
  python3-lxml,
  python3-mistralclient,
  python3-mock,
- python3-networkx,
+ python3-monascaclient,
+ python3-networkx (>= 2.2),
  python3-neutronclient,
  python3-novaclient,
  python3-openstackclient,
@@ -80,7 +81,7 @@
  python3-yaml,
  python3-zake,
  python3-zaqarclient,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/vitrage
 Vcs-Git: https://salsa.debian.org/openstack-team/services/vitrage.git
 Homepage: https://github.com/openstack/vitrage.git
@@ -105,7 +106,8 @@
  python3-keystonemiddleware,
  python3-lxml,
  python3-mistralclient,
- python3-networkx,
+ python3-monascaclient,
+ python3-networkx (>= 2.2),
  python3-neutronclient,
  python3-novaclient,
  python3-openstackclient,

## vitrage 6.0.1

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,9 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=3.1.1 # Apache-2.0
+alembic>=0.9.8  # MIT
 Babel>=2.5.3 # BSD
+cachetools>=2.0.1 # MIT License
 lxml>=4.1.1 # BSD
 PyMySQL>=0.8.0 # MIT License
 aodhclient>=1.0.0 # Apache-2.0
@@ -20,7 +22,6 @@
 python-zaqarclient >=1.2.0
 gnocchiclient>=3.3.1 # Apache-2.0
 pyzabbix>=0.7.4 # LGPL
-networkx<2.3,>=2.0;python_version<'3.0'  # BSD
 networkx>=2.3;python_version>='3.4'  # BSD
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.20.0 # Apache-2.0
@@ -51,7 +52,6 @@
 six>=1.11.0 # MIT
 debtcollector>=1.19.0 # Apache-2.0
 cotyledon>=1.6.8 # Apache-2.0
-futures>=3.0.0;python_version=='2.7' or python_version=='2.6'  # BSD
 pytz>=2013.6 # MIT
 tenacity>=4.9.0
 tooz>=1.58.0 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # process, which may cause wedges in the gate later.
 oslo.config>=5.2.0 # Apache-2.0
 openstackdocstheme>=1.24.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
 sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
 reno>=2.7.0 # Apache-2.0
 docutils>=0.11  # OSI-Approved Open Source, Public Domain

=== tools/datasource-scaffold/requirements.txt ===
cookiecutter # BSD 3-Clause License

=== debian/changelog ===
vitrage (6.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/vitrage-common.postinst.in: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Mar 2020 10:47:18 -0400

vitrage (6.0.0-0ubuntu1) focal; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-requirements.txt-to-allow-networkx-2.2.patch: Dropped. No
    longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Feb 2020 13:49:05 -0500

vitrage (5.0.0-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:19:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vitrage
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
@@ -11,138 +12,141 @@
  openstack-pkg-tools (>= 99~),
  po-debconf,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 3.1.1),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-aodhclient,
- python3-babel,
- python3-ceilometerclient,
- python3-cotyledon,
- python3-coverage,
- python3-dateutil,
- python3-debtcollector,
- python3-eventlet,
- python3-gnocchiclient,
- python3-hacking,
- python3-heatclient,
- python3-jsonschema,
- python3-jwt,
- python3-keystoneauth1,
- python3-keystoneclient,
- python3-keystonemiddleware,
- python3-lxml,
- python3-mistralclient,
- python3-mock,
- python3-monascaclient,
- python3-networkx (>= 2.2),
- python3-neutronclient,
- python3-novaclient,
- python3-openstackclient,
- python3-openstackdocstheme,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.db,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.middleware,
- python3-oslo.policy,
- python3-oslo.serialization,
- python3-oslo.upgradecheck,
- python3-oslotest,
- python3-osprofiler,
- python3-pastedeploy,
- python3-pecan,
- python3-psutil,
- python3-pymysql,
- python3-pysnmp4,
- python3-pyzabbix,
- python3-reno,
- python3-requests,
- python3-requests-mock,
- python3-six,
- python3-sqlalchemy,
- python3-stestr,
- python3-stevedore,
- python3-subunit,
- python3-sympy,
- python3-tenacity,
+ python3-alembic (>= 0.9.8),
+ python3-aodhclient (>= 1.0.0),
+ python3-babel (>= 2.5.3),
+ python3-cachetools (>= 2.0.1),
+ python3-ceilometerclient (>= 2.9.0),
+ python3-cotyledon (>= 1.6.8),
+ python3-coverage (>= 4.5.1),
+ python3-dateutil (>= 2.7.0),
+ python3-debtcollector (>= 1.19.0),
+ python3-eventlet (>= 0.20.0),
+ python3-gnocchiclient (>= 3.3.1),
+ python3-hacking (>= 1.1.0),
+ python3-heatclient (>= 1.14.0),
+ python3-jsonschema (>= 2.6.0),
+ python3-jwt (>= 1.6.0),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneclient (>= 1:3.15.0),
+ python3-keystonemiddleware (>= 4.21.0),
+ python3-lxml (>= 4.1.1),
+ python3-mistralclient (>= 1:3.3.0),
+ python3-mock (>= 2.0.0),
+ python3-monascaclient (>= 1.7.1),
+ python3-networkx (>= 2.3),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-novaclient (>= 2:10.1.0),
+ python3-openstackclient (>= 3.12.0),
+ python3-openstackdocstheme (>= 1.24.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.20.0),
+ python3-oslo.db (>= 4.35.0),
+ python3-oslo.i18n (>= 3.20.0),
+ python3-oslo.log (>= 3.37.0),
+ python3-oslo.messaging (>= 5.36.0),
+ python3-oslo.middleware (>= 3.35.0),
+ python3-oslo.policy (>= 1.34.0),
+ python3-oslo.serialization (>= 2.25.0),
+ python3-oslo.upgradecheck (>= 0.1.1),
+ python3-oslotest (>= 1:3.3.0),
+ python3-osprofiler (>= 2.0.0),
+ python3-pastedeploy (>= 1.5.2),
+ python3-pecan (>= 1.2.1),
+ python3-psutil (>= 5.4.3),
+ python3-pymysql (>= 0.8.0),
+ python3-pysnmp4 (>= 4.4.4),
+ python3-pyzabbix (>= 0.7.4),
+ python3-reno (>= 2.7.0),
+ python3-requests (>= 2.18.4),
+ python3-requests-mock (>= 1.4.0),
+ python3-six (>= 1.11.0),
+ python3-sqlalchemy (>= 1.2.5),
+ python3-stestr (>= 2.0.0),
+ python3-stevedore (>= 1:1.28.0),
+ python3-subunit (>= 1.2.0),
+ python3-sympy (>= 1.1.1),
+ python3-tenacity (>= 4.9.0),
  python3-testrepository,
- python3-testscenarios,
- python3-testtools,
- python3-tooz,
- python3-troveclient,
- python3-tz,
+ python3-testscenarios (>= 0.5.0),
+ python3-testtools (>= 2.3.0),
+ python3-tooz (>= 1.58.0),
+ python3-troveclient (>= 1:2.2.0),
+ python3-tz (>= 2013.6),
  python3-vitrageclient,
- python3-voluptuous,
- python3-webob,
- python3-werkzeug,
- python3-yaml,
- python3-zake,
- python3-zaqarclient,
+ python3-voluptuous (>= 0.11.1),
+ python3-webob (>= 1:1.7.4),
+ python3-werkzeug (>= 0.14.1),
+ python3-yaml (>= 3.12),
+ python3-zake (>= 0.1.6),
+ python3-zaqarclient (>= 1.2.0),
 Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/vitrage
-Vcs-Git: https://salsa.debian.org/openstack-team/services/vitrage.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/vitrage
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/vitrage
 Homepage: https://github.com/openstack/vitrage.git
 
 Package: python3-vitrage
 Section: python
 Architecture: all
 Depends:
- python3-aodhclient,
- python3-babel,
- python3-ceilometerclient,
- python3-cotyledon,
- python3-dateutil,
- python3-debtcollector,
- python3-eventlet,
- python3-gnocchiclient,
- python3-heatclient,
- python3-jsonschema,
- python3-jwt,
- python3-keystoneauth1,
- python3-keystoneclient,
- python3-keystonemiddleware,
- python3-lxml,
- python3-mistralclient,
- python3-monascaclient,
- python3-networkx (>= 2.2),
- python3-neutronclient,
- python3-novaclient,
- python3-openstackclient,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.db,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.middleware,
- python3-oslo.policy,
- python3-oslo.serialization,
- python3-oslo.upgradecheck,
- python3-osprofiler,
- python3-pastedeploy,
- python3-pbr,
- python3-pecan,
- python3-psutil,
- python3-pymysql,
- python3-pysnmp4,
- python3-pyzabbix,
- python3-requests,
- python3-six,
- python3-sqlalchemy,
- python3-stevedore,
- python3-sympy,
- python3-tenacity,
- python3-tooz,
- python3-troveclient,
- python3-tz,
- python3-voluptuous,
- python3-webob,
- python3-werkzeug,
- python3-yaml,
- python3-zaqarclient,
+ python3-alembic (>= 0.9.8),
+ python3-aodhclient (>= 1.0.0),
+ python3-babel (>= 2.5.3),
+ python3-ceilometerclient (>= 2.9.0),
+ python3-cotyledon (>= 1.6.8),
+ python3-dateutil (>= 2.7.0),
+ python3-debtcollector (>= 1.19.0),
+ python3-eventlet (>= 0.20.0),
+ python3-gnocchiclient (>= 3.3.1),
+ python3-heatclient (>= 1.14.0),
+ python3-jsonschema (>= 2.6.0),
+ python3-jwt (>= 1.6.0),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneclient (>= 1:3.15.0),
+ python3-keystonemiddleware (>= 4.21.0),
+ python3-lxml (>= 4.1.1),
+ python3-mistralclient (>= 1:3.3.0),
+ python3-monascaclient (>= 1.7.1),
+ python3-networkx (>= 2.3),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-novaclient (>= 2:10.1.0),
+ python3-openstackclient (>= 3.12.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.20.0),
+ python3-oslo.db (>= 4.35.0),
+ python3-oslo.i18n (>= 3.20.0),
+ python3-oslo.log (>= 3.37.0),
+ python3-oslo.messaging (>= 5.36.0),
+ python3-oslo.middleware (>= 3.35.0),
+ python3-oslo.policy (>= 1.34.0),
+ python3-oslo.serialization (>= 2.25.0),
+ python3-oslo.upgradecheck (>= 0.1.1),
+ python3-osprofiler (>= 2.0.0),
+ python3-pastedeploy (>= 1.5.2),
+ python3-pbr (>= 3.1.1),
+ python3-pecan (>= 1.2.1),
+ python3-psutil (>= 5.4.3),
+ python3-pymysql (>= 0.8.0),
+ python3-pysnmp4 (>= 4.4.4),
+ python3-pyzabbix (>= 0.7.4),
+ python3-requests (>= 2.18.4),
+ python3-six (>= 1.11.0),
+ python3-sqlalchemy (>= 1.2.5),
+ python3-stevedore (>= 1:1.28.0),
+ python3-sympy (>= 1.1.1),
+ python3-tenacity (>= 4.9.0),
+ python3-tooz (>= 1.58.0),
+ python3-troveclient (>= 1:2.2.0),
+ python3-tz (>= 2013.6),
+ python3-voluptuous (>= 0.11.1),
+ python3-webob (>= 1:1.7.4),
+ python3-werkzeug (>= 0.14.1),
+ python3-yaml (>= 3.12),
+ python3-zaqarclient (>= 1.2.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack RCA as a Service - Python libs

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 	done
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 --no-parallel 'vitrage\.tests\.unit(?!(.*evaluator\.test_scenario_repository\.ScenarioRepositoryTest.*|.*evaluator\.test_scenario_repository\.RegExTemplateTest\.test_regex_with_exact_match.*|.*evaluator\.template_validation\.test_template_validator_v3\.TemplateValidatorV3Test.*|.*evaluator\.template_loading\.test_template_loading_v3\.TemplateLoaderV3Test.*|.*evaluator\.test_template_loader\.TemplateLoaderTest\.test_basic_template_with_include.*))'
+	pkgos-dh_auto_test --no-py2 --no-parallel 'vitrage\.tests\.unit(?!(.*evaluator\.test_scenario_repository\.ScenarioRepositoryTest.*|.*evaluator\.test_scenario_repository\.RegExTemplateTest\.test_regex_with_exact_match.*|.*evaluator\.template_validation\.test_template_validator_v3\.TemplateValidatorV3Test.*|.*evaluator\.template_loading\.test_template_loading_v3\.TemplateLoaderV3Test.*|.*evaluator\.test_template_loader\.TemplateLoaderTest\.test_basic_template_with_include.*|.*datasources\.collectd\.test_collectd_transformer\.TestCollectdTransformer\.test_create_update_entity_vertex.*|.*evaluator\.test_scenario_repository\.RegExTemplateTest\.test_basic_regex_with_no_match.*))'
 endif
 
 	# Generate configs

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/vitrage/ vitrage-(6\.\d.*)\.tar\.gz
